<?php

namespace App\Services\API;

class ProductService
{
    public $product;
    public $instalition_categories = [
        173,
        152,
        183
    ];

    public function __construct($product)
    {
        $this->product = $product;
    }
    public function isInstall()
    {
        // O'rnatib berish xizmati bor yoki yo'qligini aniqash uchun
        return $this->product->categories()->whereIn('id', $this->instalition_categories)->count() >= 1;
    }
}
